> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update file in specified editing session



## OpenAPI

````yaml /api-reference/4.2/service-webapps.json put /webapps/{id}/edits/{sessionId}/files/{file}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps
paths:
  /webapps/{id}/edits/{sessionId}/files/{file}:
    put:
      tags:
        - 4.2 Webapps API
      summary: Update file in specified editing session
      operationId: putFile
      parameters:
        - name: id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
        - name: sessionId
          in: path
          description: Session ID
          required: true
          schema:
            type: string
        - name: file
          in: path
          description: File
          required: true
          schema:
            type: string
            pattern: .*
        - name: If-Match
          in: header
          description: If-Match value
          required: false
          schema:
            type: string
            default: '"0"'
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InputStream'
        description: File contents
      responses:
        default:
          description: successful operation
      deprecated: true
components:
  schemas:
    InputStream:
      type: object

````